ODFPY 1.2.0 |

All Classes Namespaces Files Functions Variables
Public Member Functions | Public Attributes | List of all members
odf.opendocument.OpaqueObject Class Reference

just a record to bear a filename, a mediatype and a bytes content More...

## Public Member Functions
def | __init__
| the constructor More...

## Public Attributes
| mediatype
| filename
| content

## Detailed Description

just a record to bear a filename, a mediatype and a bytes content

Definition at line 98 of file opendocument.py.

## Constructor & Destructor Documentation

def odf.opendocument.OpaqueObject.__init__ | ( |  | self,
|  |  | filename,
|  |  | mediatype,
|  |  | content = `None`
| ) |  |

the constructor

Parameters

  filename | a unicode string
  mediatype | a unicode string
  content | a byte string or None

Definition at line 106 of file opendocument.py.

## Member Data Documentation

odf.opendocument.OpaqueObject.content

Definition at line 113 of file opendocument.py.

odf.opendocument.OpaqueObject.filename

Definition at line 112 of file opendocument.py.

odf.opendocument.OpaqueObject.mediatype

Definition at line 111 of file opendocument.py.

The documentation for this class was generated from the following file:

- odf/opendocument.py